import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    historicalSearch: []
  },
  getters: {
  },
  mutations: {
    setHistoricalSearch(state, payload) {
      // console.log(payload, "payload");
      // payload = [...new Set(payload)]
      state.historicalSearch = payload
      // localStorage.setItem('historicalSearch', JSON.stringify(payload));
    }
  },
  actions: {
    // 获取历史搜索的数据
    fetchHistoricalSearch({ commit }) {
      let historicalSearch = JSON.parse(localStorage.getItem('historicalSearch')) || []
      commit('setHistoricalSearch', historicalSearch)
    },

  },
  modules: {

  }
})

